<?php

namespace Types;

class Emailauthtype {
  
  

    // --- Statische Eigenschaften ---
  
  static private $values ;
  static private $valuesShort ;

    // --- Statische Methoden ---
  
  public static function ensureIsLoaded() { 
    
    
    // --- BLOCK: main ---
    
  // Can be called to ensure class is loaded and initialized

    
  }

  public static function toString($x) { 
    
    
    // --- BLOCK: main ---
    return is_null($x) ? '-' : self::$values[$x] ?? $x;
    
  }

  public static function toStringShort($x) { 
    
    
    // --- BLOCK: main ---
    return is_null($x) ? '-' : self::$valuesShort[$x] ?? $x;
    
  }

  public static function parse($x) { 
    
    
    // --- BLOCK: main ---
    
		$result = array_search($x, self::$values);
		if ($result !== false) return $result;
		$result = array_search($x, self::$valuesShort);
		if ($result !== false) return $result;
		return $result;
    
  }

  public static function initialize() { 
    
    
    // --- BLOCK: values ---
    
		self::$values['nossl'] = _('nossl');
	self::$values['notls'] = _('notls');
	self::$values['ssl'] = _('ssl');
	self::$values['starttls'] = _('starttls');
	self::$values['novalidate-cert'] = _('novalidate-cert');
	
    // --- BLOCK: valuesShort ---
    
		self::$valuesShort['nossl'] = _('nossl');
	self::$valuesShort['notls'] = _('notls');
	self::$valuesShort['ssl'] = _('ssl');
	self::$valuesShort['starttls'] = _('starttls');
	self::$valuesShort['novalidate-cert'] = _('novalidate-cert');
	
    
  }


  
  

  
  
}

\Types\Emailauthtype::initialize(); 

